Permalink
Browse files

Add check for Bison. A recent version is required when in ZTS mode.

  • Loading branch information...
1 parent 7182e72 commit 773e306df2da72cf9d8a78e50ce8f19eaaa13318 Sascha Schumann committed May 23, 2000
Showing with 9 additions and 0 deletions.
  1. +9 −0 makedist
View
9 makedist
@@ -27,6 +27,15 @@
# $Id$
#
+old_IFS="$IFS"
+IFS=.
+eval set `bison -V|sed "s/GNU Bison version //"`
+if test "$1" = "1" && test "28" -gt "$2"; then
+ echo "Please use Bison 1.28 or higher"
+ exit 10
+fi
+IFS="$old_IFS"
+
PHPROOT=:pserver:cvsread@cvs.php.net:/repository
ZENDROOT=:pserver:cvsread@cvs.zend.com:/repository
PHPMOD=php4

0 comments on commit 773e306

Please sign in to comment.